##### basic_socket_acceptor::local_endpoint (1 of 2 overloads)

Get the local endpoint of the acceptor.

    endpoint_type local_endpoint() const;

This function is used to obtain the locally bound endpoint of the acceptor.

###### Return Value

An object that represents the local endpoint of the acceptor.

###### Exceptions

asio::system_error

  Thrown on failure.

###### Example

    asio::ip::tcp::acceptor acceptor(my_context);
    ...
    asio::ip::tcp::endpoint endpoint = acceptor.local_endpoint();